> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve categories

> Retrieve the shop categories of a location, or of every location in the network. <h3>OAuth</h3>Required scopes: <code>shop.readonly</code> or <code>shop</code>



## OpenAPI

````yaml /assets/openapi.json get /shop/categories/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /shop/categories/v1:
    get:
      tags:
        - Shop
      summary: Retrieve categories
      description: >-
        Retrieve the shop categories of a location, or of every location in the
        network. <h3>OAuth</h3>Required scopes: <code>shop.readonly</code> or
        <code>shop</code>
      operationId: getShopCategories
      parameters:
        - in: query
          name: locationRef
          required: false
          description: >-
            UUID of the location whose shop categories to list, in the order the
            shop shows them. Omit to list the categories of every location of
            the network, grouped by location.
          schema:
            type: string
            format: uuid
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getShopCategories'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - shop.readonly
            - shop
components:
  schemas:
    getShopCategories:
      type: object
      properties:
        categories:
          type: array
          items:
            type: object
            properties:
              createDate:
                type: string
                format: date-time
                description: ISO timestamp of when the category was created.
              id:
                type: string
                format: uuid
                description: Unique identifier of the category.
              locationRef:
                type: string
                format: uuid
                description: ID of the location this category belongs to.
              networkRef:
                type: string
                format: uuid
                description: ID of the network.
              title:
                type: string
                description: Display name of the category.
            required:
              - createDate
              - id
              - locationRef
              - networkRef
              - title
            additionalProperties: false
          description: List of shop categories.
      required:
        - categories
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/developer/api/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/developer/api/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://oauth2.spacebring.com/api/oauth2/authorize
          tokenUrl: https://oauth2.spacebring.com/api/oauth2/token
          refreshUrl: https://oauth2.spacebring.com/api/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            campaigns.readonly: Read campaigns
            campaigns: Read and write campaigns
            checkIns.readonly: Read check-ins
            checkIns: Read and write check-ins
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            deliveries.readonly: Read deliveries
            deliveries: Read and write deliveries
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.